diff --git a/debian.master/config/annotations b/debian.master/config/annotations
index 7d6ebdd52418..20a4aca5e7aa 100644
--- a/debian.master/config/annotations
+++ b/debian.master/config/annotations
@@ -9921,7 +9921,68 @@ CONFIG_RCU_EQS_DEBUG                            policy<{'amd64': 'n', 'arm64': '
 CONFIG_RCU_CPU_STALL_TIMEOUT                    flag<REVIEW>
 
 # Menu: Kernel hacking >> Runtime Testing
-CONFIG_RUNTIME_TESTING_MENU                     policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_RUNTIME_TESTING_MENU                     policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
+CONFIG_LKDTM                                    policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_LIST_SORT                           policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_SORT                                policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_KPROBES_SANITY_TEST                      policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_BACKTRACE_SELF_TEST                      policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_RBTREE_TEST                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_INTERVAL_TREE_TEST                       policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_PERCPU_TEST                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_ATOMIC64_SELFTEST                        policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_ASYNC_RAID6_TEST                         policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_HEXDUMP                             policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_STRING_HELPERS                      policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_KSTRTOX                             policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_PRINTF                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_BITMAP                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_UUID                                policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_OVERFLOW                            policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_RHASHTABLE                          policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_HASH                                policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_PARMAN                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n'}>
+CONFIG_TEST_LKM                                 policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_USER_COPY                           policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_BPF                                 policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
+CONFIG_FIND_BIT_BENCHMARK                       policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_FIRMWARE                            policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_SYSCTL                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_UDELAY                              policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_STATIC_KEYS                         policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_TEST_KMOD                                policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+#
+CONFIG_RUNTIME_TESTING_MENU                     flag<TESTING>
+CONFIG_LKDTM                                    flag<TESTING> flag<REVIEW>
+CONFIG_TEST_LIST_SORT                           flag<TESTING>
+CONFIG_TEST_SORT                                flag<TESTING>
+CONFIG_KPROBES_SANITY_TEST                      flag<TESTING>
+CONFIG_BACKTRACE_SELF_TEST                      flag<TESTING>
+CONFIG_RBTREE_TEST                              flag<TESTING>
+CONFIG_INTERVAL_TREE_TEST                       flag<TESTING>
+CONFIG_PERCPU_TEST                              flag<TESTING>
+CONFIG_ATOMIC64_SELFTEST                        flag<TESTING>
+CONFIG_ASYNC_RAID6_TEST                         flag<TESTING>
+CONFIG_TEST_HEXDUMP                             flag<TESTING>
+CONFIG_TEST_STRING_HELPERS                      flag<TESTING>
+CONFIG_TEST_KSTRTOX                             flag<TESTING>
+CONFIG_TEST_PRINTF                              flag<TESTING>
+CONFIG_TEST_BITMAP                              flag<TESTING>
+CONFIG_TEST_UUID                                flag<TESTING>
+CONFIG_TEST_OVERFLOW                            flag<TESTING>
+CONFIG_TEST_RHASHTABLE                          flag<TESTING>
+CONFIG_TEST_HASH                                flag<TESTING>
+CONFIG_TEST_PARMAN                              flag<TESTING>
+CONFIG_TEST_LKM                                 flag<TESTING>
+CONFIG_TEST_USER_COPY                           flag<TESTING>
+CONFIG_TEST_BPF                                 flag<TESTING>
+CONFIG_FIND_BIT_BENCHMARK                       flag<TESTING>
+CONFIG_TEST_FIRMWARE                            flag<TESTING>
+CONFIG_TEST_SYSCTL                              flag<TESTING>
+CONFIG_TEST_UDELAY                              flag<TESTING>
+CONFIG_TEST_STATIC_KEYS                         flag<TESTING>
+CONFIG_TEST_KMOD                                flag<TESTING>
+
 
 # Menu: Kernel hacking >> Sample kernel code
 CONFIG_SAMPLES                                  policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
diff --git a/debian.master/config/config.common.ubuntu b/debian.master/config/config.common.ubuntu
index e8ee19e5ee50..4ff1b6f4f5dc 100644
--- a/debian.master/config/config.common.ubuntu
+++ b/debian.master/config/config.common.ubuntu
@@ -705,6 +705,7 @@ CONFIG_ASYNC_CORE=m
 CONFIG_ASYNC_MEMCPY=m
 CONFIG_ASYNC_PQ=m
 CONFIG_ASYNC_RAID6_RECOV=m
+# CONFIG_ASYNC_RAID6_TEST is not set
 CONFIG_ASYNC_TX_DISABLE_PQ_VAL_DMA=y
 CONFIG_ASYNC_TX_DISABLE_XOR_VAL_DMA=y
 CONFIG_ASYNC_TX_DMA=y
@@ -800,6 +801,7 @@ CONFIG_ATM_SOLOS=m
 CONFIG_ATM_TCP=m
 CONFIG_ATM_ZATM=m
 # CONFIG_ATM_ZATM_DEBUG is not set
+# CONFIG_ATOMIC64_SELFTEST is not set
 CONFIG_ATP=m
 CONFIG_AUDIT=y
 CONFIG_AUDITSYSCALL=y
@@ -908,6 +910,7 @@ CONFIG_BACKLIGHT_SAHARA=m
 CONFIG_BACKLIGHT_SKY81452=m
 CONFIG_BACKLIGHT_TPS65217=m
 CONFIG_BACKLIGHT_WM831X=m
+# CONFIG_BACKTRACE_SELF_TEST is not set
 CONFIG_BALLOON_COMPACTION=y
 CONFIG_BASE_FULL=y
 CONFIG_BASE_SMALL=0
@@ -3091,6 +3094,7 @@ CONFIG_FEC=y
 CONFIG_FHANDLE=y
 CONFIG_FIB_RULES=y
 CONFIG_FILE_LOCKING=y
+# CONFIG_FIND_BIT_BENCHMARK is not set
 CONFIG_FIQ=y
 CONFIG_FIREWIRE_NET=m
 CONFIG_FIREWIRE_OHCI=m
@@ -4358,6 +4362,7 @@ CONFIG_INTEL_VBTN=m
 CONFIG_INTEL_WMI_THUNDERBOLT=m
 CONFIG_INTEL_XWAY_PHY=m
 CONFIG_INTERVAL_TREE=y
+# CONFIG_INTERVAL_TREE_TEST is not set
 CONFIG_INV_MPU6050_I2C=m
 CONFIG_INV_MPU6050_IIO=m
 CONFIG_INV_MPU6050_SPI=m
@@ -4806,6 +4811,7 @@ CONFIG_KMSG_IDS=y
 CONFIG_KMX61=m
 CONFIG_KPROBES=y
 CONFIG_KPROBES_ON_FTRACE=y
+# CONFIG_KPROBES_SANITY_TEST is not set
 CONFIG_KPROBE_EVENTS=y
 CONFIG_KRETPROBES=y
 CONFIG_KS0108=m
@@ -4993,6 +4999,7 @@ CONFIG_LIQUIDIO=m
 CONFIG_LIQUIDIO_VF=m
 CONFIG_LIRC=y
 CONFIG_LIVEPATCH=y
+# CONFIG_LKDTM is not set
 CONFIG_LLC=m
 CONFIG_LMP91000=m
 CONFIG_LOAD_UEFI_KEYS=y
@@ -6731,6 +6738,7 @@ CONFIG_PDA_POWER=m
 CONFIG_PDC_ADMA=m
 CONFIG_PEAQ_WMI=m
 # CONFIG_PERCPU_STATS is not set
+# CONFIG_PERCPU_TEST is not set
 CONFIG_PERF_EVENTS=y
 # CONFIG_PERF_EVENTS_AMD_POWER is not set
 CONFIG_PERF_EVENTS_INTEL_CSTATE=m
@@ -7305,6 +7313,7 @@ CONFIG_RATIONAL=y
 CONFIG_RAVB=m
 CONFIG_RAVE_SP_EEPROM=m
 CONFIG_RAVE_SP_WATCHDOG=m
+# CONFIG_RBTREE_TEST is not set
 CONFIG_RCAR_DMAC=m
 CONFIG_RCAR_GEN3_THERMAL=m
 CONFIG_RCAR_GYRO_ADC=m
@@ -7753,7 +7762,7 @@ CONFIG_RTL_CARDS=m
 CONFIG_RTS5208=m
 # CONFIG_RT_GROUP_SCHED is not set
 CONFIG_RT_MUTEXES=y
-# CONFIG_RUNTIME_TESTING_MENU is not set
+CONFIG_RUNTIME_TESTING_MENU=y
 CONFIG_RWSEM_SPIN_ON_OWNER=y
 CONFIG_RWSEM_XCHGADD_ALGORITHM=y
 CONFIG_RXKAD=y
@@ -9288,7 +9297,27 @@ CONFIG_TEHUTI=m
 CONFIG_TELCLOCK=m
 CONFIG_TERANETICS_PHY=m
 # CONFIG_TEST_ASYNC_DRIVER_PROBE is not set
+# CONFIG_TEST_BITMAP is not set
+CONFIG_TEST_BPF=m
+# CONFIG_TEST_FIRMWARE is not set
+# CONFIG_TEST_HASH is not set
+# CONFIG_TEST_HEXDUMP is not set
+# CONFIG_TEST_KMOD is not set
+# CONFIG_TEST_KSTRTOX is not set
+# CONFIG_TEST_LIST_SORT is not set
+# CONFIG_TEST_LKM is not set
+# CONFIG_TEST_OVERFLOW is not set
+# CONFIG_TEST_PARMAN is not set
 CONFIG_TEST_POWER=m
+# CONFIG_TEST_PRINTF is not set
+# CONFIG_TEST_RHASHTABLE is not set
+# CONFIG_TEST_SORT is not set
+# CONFIG_TEST_STATIC_KEYS is not set
+# CONFIG_TEST_STRING_HELPERS is not set
+# CONFIG_TEST_SYSCTL is not set
+# CONFIG_TEST_UDELAY is not set
+# CONFIG_TEST_USER_COPY is not set
+# CONFIG_TEST_UUID is not set
 CONFIG_TEXTSEARCH=y
 CONFIG_TEXTSEARCH_BM=m
 CONFIG_TEXTSEARCH_FSM=m